Bug 1200476 (CVE-2022-30780)

Summary: VUL-0: CVE-2022-30780: lighttpd: remote denial of service in reachable in connection_read_header_more
Product: [Novell Products] SUSE Security Incidents Reporter: Thomas Leroy <thomas.leroy>
Component: IncidentsAssignee: Marcus Rückert <mrueckert>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P5 - None CC: security-team
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/334231/
Whiteboard:
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Thomas Leroy 2022-06-13 08:38:36 UTC
CVE-2022-30780

Lighttpd 1.4.56 through 1.4.58 allows a remote attacker to cause a denial of
service (CPU consumption from stuck connections) because
connection_read_header_more in connections.c has a typo that disrupts use of
multiple read operations on large headers.

Upstream fix:
https://github.com/lighttpd/lighttpd1.4/commit/b03b86f47b0d5a553137f081fadc482b4af1372d

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-30780
https://github.com/lighttpd/lighttpd1.4
http://www.cvedetails.com/cve/CVE-2022-30780/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-30780
https://github.com/p0dalirius/CVE-2022-30780-lighttpd-denial-of-service
https://podalirius.net/en/cves/2022-30780/
https://redmine.lighttpd.net/issues/3059
Comment 1 Thomas Leroy 2022-06-13 08:40:31 UTC
The bug was introduced in v1.4.56 by this commit [0], therefore SUSE:SLE-12:Update/lighttpd v1.4.35 is not affected.
openSUSE codestreams are already fixed. Closing.

[0] https://github.com/lighttpd/lighttpd1.4/commit/ec2ff2c6ae70f150cfb7e35b77344c16af87c862